Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DefaultStyledDocument.ElementSpec

    java.lang.Object
      |
      +--javax.swing.text.DefaultStyledDocument.ElementSpec

Enclosing class:
  DefaultStyledDocument

public static class DefaultStyledDocument.ElementSpec
extends Object

Specification for building elements.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary
`static short` | `ContentType` A possible value for getType.
`static short` | `EndTagType` A possible value for getType.
`static short` | `JoinFractureDirection` A possible value for getDirection.
`static short` | `JoinNextDirection` A possible value for getDirection.
`static short` | `JoinPreviousDirection` A possible value for getDirection.
`static short` | `OriginateDirection` A possible value for getDirection.
`static short` | `StartTagType` A possible value for getType.

Constructor Summary
`DefaultStyledDocument.ElementSpec(AttributeSet a, short type)` Constructor useful for markup when the markup will not be stored in the document.
`DefaultStyledDocument.ElementSpec(AttributeSet a, short type, char[] txt, int offs, int len)` Constructor for creating a spec externally for batch input of content and markup into the document.
`DefaultStyledDocument.ElementSpec(AttributeSet a, short type, int len)` Constructor for parsing inside the document when the data has already been added, but len information is needed.

Method Summary
`char[]` | `getArray()` Gets the array of characters.
`AttributeSet` | `getAttributes()` Gets the element attributes.
`short` | `getDirection()` Gets the direction.
`int` | `getLength()` Gets the length.
`int` | `getOffset()` Gets the starting offset.
`short` | `getType()` Gets the element type.
`void` | `setDirection(short direction)` Sets the direction.
`void` | `setType(short type)` Sets the element type.
`String` | `toString()` Converts the element to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### StartTagType

    public static final short StartTagType

  A possible value for getType. This specifies that this record type is a start tag and represents markup that specifies the start of an element.

  See Also:
    Constant Field Values

### EndTagType

    public static final short EndTagType

  A possible value for getType. This specifies that this record type is a end tag and represents markup that specifies the end of an element.

  See Also:
    Constant Field Values

### ContentType

    public static final short ContentType

  A possible value for getType. This specifies that this record type represents content.

  See Also:
    Constant Field Values

### JoinPreviousDirection

    public static final short JoinPreviousDirection

  A possible value for getDirection. This specifies that the data associated with this record should be joined to what precedes it.

  See Also:
    Constant Field Values

### JoinNextDirection

    public static final short JoinNextDirection

  A possible value for getDirection. This specifies that the data associated with this record should be joined to what follows it.

  See Also:
    Constant Field Values

### OriginateDirection

    public static final short OriginateDirection

  A possible value for getDirection. This specifies that the data associated with this record should be used to originate a new element. This would be the normal value.

  See Also:
    Constant Field Values

### JoinFractureDirection

    public static final short JoinFractureDirection

  A possible value for getDirection. This specifies that the data associated with this record should be joined to the fractured element.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultStyledDocument.ElementSpec

    public DefaultStyledDocument.ElementSpec(AttributeSet a,
                                             short type)

  Constructor useful for markup when the markup will not be stored in the document.

Parameters:
  `a` - the attributes for the element
  `type` - the type of the element (StartTagType, EndTagType, ContentType)

### DefaultStyledDocument.ElementSpec

    public DefaultStyledDocument.ElementSpec(AttributeSet a,
                                             short type,
                                             int len)

  Constructor for parsing inside the document when the data has already been added, but len information is needed.

Parameters:
  `a` - the attributes for the element
  `type` - the type of the element (StartTagType, EndTagType, ContentType)
  `len` - the length >= 0

### DefaultStyledDocument.ElementSpec

    public DefaultStyledDocument.ElementSpec(AttributeSet a,
                                             short type,
                                             char[] txt,
                                             int offs,
                                             int len)

  Constructor for creating a spec externally for batch input of content and markup into the document.

Parameters:
  `a` - the attributes for the element
  `type` - the type of the element (StartTagType, EndTagType, ContentType)
  `txt` - the text for the element
  `offs` - the offset into the text >= 0
  `len` - the length of the text >= 0

Method Detail

### setType

    public void setType(short type)

  Sets the element type.

  Parameters:
    `type` - the type of the element (StartTagType, EndTagType, ContentType)

### getType

    public short getType()

  Gets the element type.

  Returns:
    the type of the element (StartTagType, EndTagType, ContentType)

### setDirection

    public void setDirection(short direction)

  Sets the direction.

  Parameters:
    `direction` - the direction (JoinPreviousDirection, JoinNextDirection)

### getDirection

    public short getDirection()

  Gets the direction.

  Returns:
    the direction (JoinPreviousDirection, JoinNextDirection)

### getAttributes

    public AttributeSet getAttributes()

  Gets the element attributes.

  Returns:
    the attribute set

### getArray

    public char[] getArray()

  Gets the array of characters.

  Returns:
    the array

### getOffset

    public int getOffset()

  Gets the starting offset.

  Returns:
    the offset >= 0

### getLength

    public int getLength()

  Gets the length.

  Returns:
    the length >= 0

### toString

    public String toString()

  Converts the element to a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.